{{page-title (capitalize (t "languages"))}}

<Manage::Container>
  <:content>
    <Manage::Header @title={{capitalize (t "languages")}}>
      <Manage::Toolbar>
        <Manage::Toolbar::Group>
          <LinkTo @route="manage.languages.add" class="btn btn-secondary">
            <FaIcon @icon="plus" />
            {{capitalize (t "new language")}}
          </LinkTo>
        </Manage::Toolbar::Group>
      </Manage::Toolbar>
    </Manage::Header>

    <div class="row mt-3">
      <div class="col language-buckets">
        <div class="row mt-3">
          <div class="col map-buckets">
            <Manage::List @isEditable={{true}} @viewMode="list" @header={{concat (t "name") "," (t "locale")}} @columns={{array @model}} @onDelete={{this.delete}} as |section|>

              {{#if section.isOtherOptions}}
                <LinkTo @route="manage.languages.edit" @model={{section.item.id}} class="dropdown-item dropdown-edit">
                  <FaIcon @icon="pencil-alt" />
                  {{capitalize (t "edit-label")}}
                </LinkTo>

                <a href={{section.item.file}} rel="noopener noreferrer" class="dropdown-item dropdown-download">
                  <FaIcon @icon="file-download" />
                  {{capitalize (t "download")}}
                </a>
              {{/if}}

              {{#if section.isRow}}
                <th scope="row" class="item-name">
                  <LinkTo @route="manage.languages.edit" @model={{section.item.id}} class="text-decoration-none">
                    {{section.item.name}}
                  </LinkTo>
                </th>
                <td class="item-locale">
                  {{section.item.locale}}
                </td>
              {{/if}}
            </Manage::List>
          </div>
        </div>
      </div>
    </div>
  </:content>
</Manage::Container>